# $Revision: 1.42 $, $Date: 2010/11/14 11:23:49 $
Summary:	Xerces C++ - XML parser for C++
Summary(pl.UTF-8):	Xerces C++ - analizator składniowy XML-a dla C++
Name:		xerces-c
Version:	3.1.1
Release:	3
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/xerces/c/3/sources/%{name}-%{version}.tar.gz
# Source0-md5:	6a8ec45d83c8cfb1584c5a5345cb51ae
Patch0:		%{name}-iso88592.patch
Patch1:		%{name}-link.patch
URL:		http://xerces.apache.org/xerces-c/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xerces C++ - XML parser for C++.

%description -l pl.UTF-8
Xerces C++ - analizator składniowy XML-a dla C++.

%package devel
Summary:	Header files for xerces-c library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki xerces-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	libstdc++-devel

%description devel
Header files for xerces-c library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki xerces-c.

%package static
Summary:	Static xerces-c library
Summary(pl.UTF-8):	Statyczna biblioteka xerces-c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xerces-c library.

%description static -l pl.UTF-8
Statyczna biblioteka xerces-c.

%package doc
Summary:	Extensive Xerces C++ documentation
Summary(pl.UTF-8):	Obszerna dokumentacja biblioteki Xerces C++
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Extensive Xerces C++ documentation.

%description doc -l pl.UTF-8
Obszerna dokumentacja biblioteki Xerces C++.

%package examples
Summary:	Xerces C++ examples
Summary(pl.UTF-8):	Przykłady do biblioteki Xerces C++
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
Xerces C++ examples.

%description examples -l pl.UTF-8
Przykłady do biblioteki Xerces C++.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-pretty-make \
%ifnarch pentium4 %{x8664}
	--disable-sse2
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find samples -name .deps | xargs -r rm -rf
find samples -name '*.o' -o -name .dirstamp | xargs rm -f
cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a doc/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE NOTICE
%attr(755,root,root) %{_libdir}/libxerces-c-3.1.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxerces-c.so
%{_libdir}/libxerces-c.la
%{_includedir}/xercesc
%{_pkgconfigdir}/xerces-c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxerces-c.a

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/CreateDOMDocument
%attr(755,root,root) %{_bindir}/DOMCount
%attr(755,root,root) %{_bindir}/DOMPrint
%attr(755,root,root) %{_bindir}/EnumVal
%attr(755,root,root) %{_bindir}/MemParse
%attr(755,root,root) %{_bindir}/PParse
%attr(755,root,root) %{_bindir}/PSVIWriter
%attr(755,root,root) %{_bindir}/Redirect
%attr(755,root,root) %{_bindir}/SAX2Count
%attr(755,root,root) %{_bindir}/SAX2Print
%attr(755,root,root) %{_bindir}/SAXCount
%attr(755,root,root) %{_bindir}/SAXPrint
%attr(755,root,root) %{_bindir}/SCMPrint
%attr(755,root,root) %{_bindir}/SEnumVal
%attr(755,root,root) %{_bindir}/StdInParse
%attr(755,root,root) %{_bindir}/XInclude
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xerces-c.spec,v $
Revision 1.42  2010/11/14 11:23:49  arekm
- rel 3; x86_64 build fix

Revision 1.41  2010/11/14 10:11:56  arekm
- release 2

Revision 1.40  2010/10/10 11:07:53  qboosh
- updated to 3.1.1 (new soname, no libxerces-depdom)
- updated iso88592 patch
- removed obsolete link,opt,lib64 patches
- added (new) link patch to avoid unnecessary -lnsl

Revision 1.39  2008/09/29 19:53:52  qboosh
- desc fixes
- killed x86-centrism

Revision 1.38  2008/09/28 17:06:57  pawelz
- split examples into separate package
- do not use %doc for html apidocs
- added R: %{name}-%{version} to -doc
- unified %files

Revision 1.37  2007/11/07 11:11:49  tommat
- broken parallel build

Revision 1.36  2007/09/05 15:18:13  baggins
- rel 2
- fixed x8664  prep

Revision 1.35  2007/09/05 13:46:30  baggins
- 2.8.0
- updated source0 url

Revision 1.34  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.32  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.31  2006/02/10 21:10:51  qboosh
- readded opt patch

Revision 1.30  2006/02/10 14:57:14  baggins
- release 2
- fix x8664 install

Revision 1.29  2006/02/10 14:48:34  baggins
- release 1

Revision 1.28  2006/02/10 14:31:14  baggins
- fix building with installed xerces-c

Revision 1.27  2006/02/10 14:16:31  baggins
- make install the right way

Revision 1.26  2006/02/10 12:47:08  baggins
- 2.7.0
- removed obsolete patches

Revision 1.25  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.24  2003/10/26 14:41:14  qboosh
- -devel R: libstdc++-devel

Revision 1.23  2003/07/09 12:55:21  ggodlewski
- fixed building on gcc 2.95

Revision 1.22  2003/07/04 22:46:34  qboosh
- grr, opt patch is back (don't override our flags by -O!)

Revision 1.21  2003/07/03 15:04:52  qboosh
- updated md5

Revision 1.20  2003/07/03 13:50:06  ggodlewski
- 2.3.0

Revision 1.19  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:28:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/09 08:59:23  ggodlewski
- added support for iso-8859-2

Revision 1.16  2003/04/01 16:43:56  qboosh
- opt patch is back (updated)

Revision 1.15  2003/03/26 20:15:02  ggodlewski
- updated to 2.2.0

Revision 1.14  2003/01/26 14:33:48  qboosh
- separated doc (huge, over 19MB i.e. 5 times more than headers)

Revision 1.13  2002/08/18 17:18:32  blues
- release 2 - license fix

Revision 1.12  2002/07/01 21:30:08  qboosh
- updated to 1.7.0, use optflags, fixed License (it's not GPL!)

Revision 1.11  2002/05/21 23:15:04  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 18:31:34  gotar
- %desc

Revision 1.7  2002/01/30 18:38:16  alchemyx
- ugly words back again. sorry.

Revision 1.6  2002/01/29 02:55:46  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.5  2002/01/18 02:15:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/02 12:06:06  mkochano
- Updated to 1.5.2.

Revision 1.3  2001/10/11 14:38:13  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.2  2000/09/30 14:59:30  klakier
- finished (need testing)

Revision 1.1  2000/09/30 14:26:31  klakier
- initial version
